TemPolor-AI Music Api Platform
API Documents
TemPolor API PlatformCreate Music
API Documents
TemPolor API PlatformCreate Music
Discord
  1. Song
  • Get Started
    • Overview
    • Quickstart
    • Model and Pricing
  • API Reference
    • Error Code
    • Domain and Authentication
    • Song
      • Song Generation
        POST
      • Callback Interface
        POST
      • Query Task Status
        POST
    • Lyrics
      • Lyrics Generation
        POST
      • Callback Interface
        POST
      • Query Task Status
        POST
    • Stem Separation
      • Create Task
        POST
      • Callback Interface
        POST
      • Query Task Status
        POST
    • Account
      • Query Information
        POST
  • Others
    • Feature List
  • Schemas
    • 示例数据模型
    • Schemas
      • Pet
      • Category
      • Tag
  1. Song

Song Generation

POST
{{base_url}}/open-apis/v1/song/generate
1.
Supports user-uploaded custom music descriptions and lyrics to generate songs. For testing the callback_url, you can configure a callback at https://webhook.site.
For details on implementing the callback_url, refer to the Music Generation Callback API.
2.
Supports cover melody generation from a reference audio; more cover capabilities are rolling out soon.
3.The music download URL is valid for 72 hours,stream url is valid for 30 minutes
4.Stream url is valid for 30 minites

Request

Header Params

Body Params application/json

Example
{
    "prompt": "Dream Pop, shimmering synths, soft electronic beats, melancholic, dreamy, moderate tempo, ethereal female vocals, warm analog production",
    "model": "TemPolor v4.6",
    "lyrics": "[Intro: Bright fingerpicked acoustic guitar][Verse 1]...[Chorus]...[Bridge]...[Outro: Guitar fades with gentle harmonic chime]",
    "callback_url": "https://**************/callback"
}

Request Code Samples

Shell
JavaScript
Java
Go
PHP
Python
Request Request Example
Shell
JavaScript
Java
Go
curl --location --globoff 'https://api.tempolor.com/open-apis/v1/song/generate' \
--header 'Authorization: Tempo-********************************-3w' \
--header 'Content-Type: application/json; charset=utf-8' \
--data '{
    "prompt": "Dream Pop, shimmering synths, soft electronic beats, melancholic, dreamy, moderate tempo, ethereal female vocals, warm analog production",
    "model": "TemPolor v4.6",
    "lyrics": "[Intro: Bright fingerpicked acoustic guitar][Verse 1]...[Chorus]...[Bridge]...[Outro: Guitar fades with gentle harmonic chime]",
    "callback_url": "https://**************/callback"
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "status": 200000,
    "message": "success",
    "request_id": "b072a68c-4c1b-41be-bdd1-0a0309754de7",
    "data": {
        "item_ids": [
            "123"
        ]
    }
}
Modified at 2026-07-15 04:07:09
Previous
Domain and Authentication
Next
Callback Interface